.sect-work {
    padding-top: 70px;
    padding-bottom: 100px;
    border-top: 1px solid $color-all-content;

    @media(max-width:320px), (min-width: 320px) {
        & {
            padding-top: 30px;
            padding-bottom: 30px;
        }
    }

    @media (min-width: 768px) {
        & {
            padding-top: 70px;
            padding-bottom: 100px;
        }
    }
}


.sect-title {
    @include fontSizWeight(212px, 244px, 300);
    text-align: center;
    text-transform: uppercase;

    @media(max-width:320px), (min-width: 320px) {
        & {
            @include fontSize(46px, 92px)
        }
    }

    @media (min-width: 400px) {
        & {
            @include fontSize(60px, 92px)
        }
    }

    @media (min-width: 525px) {
        & {
            @include fontSize(80px, 92px)
        }
    }

    @media (min-width: 768px) {
        & {
            @include fontSize(110px, 172px)
        }
    }

    @media (min-width: 960px) {
        & {
            @include fontSize(150px, 172px)
        }
    }

    @media (min-width: 1200px) {
        & {
            @include fontSize(180px, 244px)
        }
    }

    @media (min-width: 1265px) {
        & {
            @include fontSize(195px, 244px)
        }
    }
}

.sect-work__title {

    @media(max-width:320px), (min-width: 320px) {
        & {
            @include fontSize(55px, 70px)
        }
    }

    @media (min-width: 768px) {
        & {
            @include fontSize(130px, 172px)
        }
    }

    @media (min-width: 860px) {
        & {
            @include fontSize(150px, 172px)
        }
    }

    @media (min-width: 1200px) {
        & {
            @include fontSize(128px, 244px)
        }
    }

    @media (min-width: 1515px) {
        & {
            @include fontSize(165px, 244px)
        }
    }

    @media (min-width: 1776px) {
        & {
            @include fontSize(195px, 244px)
        }
    }

}

.sect-work__list {
    margin-top: 50px;
    margin-bottom: 70px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);

    @media(max-width:320px), (min-width: 320px) {
        & {
            margin-top: 30px;
            margin-bottom: 40px;
            grid-template-columns: 1fr;
            row-gap: 20px;
        }
    }

    @media (min-width: 768px) {
        & {
            margin-bottom: 70px;
            row-gap: 30px;

        }
    }

    @media (min-width: 1200px) {
        & {
            margin-top: 50px;
            grid-template-columns: repeat(3, 1fr);
            gap: 70px 40px;
        }
    }
}

.sect-work__item {

    @media (max-width:320px),
    (min-width: 320px) {
        & {
            &:nth-of-type(1) {
                order: 1;
            }

            &:nth-of-type(2),
            &:nth-of-type(3) {
                order: 0;
            }

            &:nth-of-type(4),
            &:nth-of-type(5),
            &:nth-of-type(6) {
                order: 2;
            }

        }

        @media (min-width: 1200px) {
            & {

                &:nth-of-type(1),
                &:nth-of-type(2),
                &:nth-of-type(3) {
                    order: 0;
                }


            }
        }
    }
}

.sect-tema__link-img {
    display: block;
    width: 100%;
}

.sect-work__img {
    display: block;
    object-position: center;
    object-fit: cover;
    width: 100%;

    @media(max-width:320px), (min-width: 320px) {
        & {
            height: 434px;
        }
    }

    @media (min-width: 768px) {
        & {
            height: 921px;
        }
    }

    @media (min-width: 1200px) {
        & {
            height: 566px;
        }
    }
}



.sect-work__desc {
    position: relative;

    @media(max-width:320px), (min-width: 320px) {
        & {
            height: 210px;
        }
    }

    @media (min-width: 1200px) {
        & {
            height: 566px;
        }
    }


}

.sect-work__it-title {
    @include fontSizWeight(40px, 44px, 700);
    text-transform: uppercase;


    @media(max-width:320px), (min-width: 320px) {
        & {
            margin-bottom: 20px;
        }
    }

    @media (min-width: 768px) {
        & {
            margin-bottom: 30px;
        }
    }
}

.sect-work__link,
.sect-work__date {
    padding: 15px 30px;
    font-size: 18px;
    line-height: 21px;
    background-color: #ffffff;
    border-radius: 50px;


    @media(max-width:320px), (min-width: 320px) {
        & {
            @include fontSize(14px, 21px)
        }
    }

    @media (min-width: 768px) {
        & {
            font-size: 18px;
        }
    }
}

.sect-work__link {
    margin-right: 30px;
}

.sect-work__link-open {
    position: absolute;
    right: 0;
    bottom: 0;

}

.btn-link {
    @include positionELemantFlex(center, center);
    @include fontSize(18px, 21px);
    padding: 16px 30px;
    border-radius: 50px;
    background-color: #252525;
    color: #FFFFFF;

    &::after {
        content: $work-arrow-right;
        width: 24px;
        height: 17px;
        margin-left: 10px;
    }

}

.sect-work__add-work {
    @include fontSize(18px, 21px);
    display: block;
    margin: 0 auto;
    padding: 15px 60px;
    background-color: #ffffff;
    border-radius: 50px;
    border: none;

    @media(max-width:320px), (min-width: 320px) {
        & {
            width: 100%;
        }
    }

    @media (min-width: 768px) {
        & {
            padding: 15px 60px;
            width: unset;
        }
    }

}